from enum import Enum


class Colors(Enum):
    GREEN = "\33[32m"
    RED = "\33[31m"
    YELLOW = "\33[33m"
    CYAN = "\33[36m"
    PURPLE = "\33[95m"
    END = "\33[0m"
    UNDERLINE = "\33[4m"
    BOLD = "\33[1m"

    @staticmethod
    def wrap(color: Enum, text: str):
        """Wrap text with color"""
        return "{}{}{}".format(color.value, text, Colors.END.value)
